Sql Pool Restore Points - Create
Veri ambarı için bir geri yükleme noktası oluşturur.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools/{sqlPoolName}/restorePoints?api-version=2021-06-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız. |
|
sql
|
path | True |
string |
SQL havuzu adı |
|
subscription
|
path | True |
string minLength: 1 |
Hedef aboneliğin kimliği. |
|
workspace
|
path | True |
string |
Çalışma alanının adı. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| restorePointLabel | True |
string |
Uygulanacak geri yükleme noktası etiketi |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Geri yükleme noktası isteği başarıyla oluşturuldu. |
|
| 201 Created |
Geri yükleme noktası isteği başarıyla oluşturuldu. |
|
| 202 Accepted |
Kabul edildi |
|
| Other Status Codes |
Hata Yanıtları: ***
|
Örnekler
Creates Sql pool restore point.
Örnek isteği
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints?api-version=2021-06-01
{
"restorePointLabel": "mylabel"
}
Örnek yanıt
azure-asyncoperation: https://ms.web.azuresynapse.net
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints/131546477590000000",
"name": "131546477590000000",
"type": "Microsoft.Synapse/workspaces/sqlPools/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "DISCRETE",
"restorePointCreationDate": "2017-03-10T08:00:00.000Z",
"restorePointLabel": "mylabel"
}
}
azure-asyncoperation: https://ms.web.azuresynapse.net
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints/131546477590000000",
"name": "131546477590000000",
"type": "Microsoft.Synapse/workspaces/sqlPools/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "DISCRETE",
"restorePointCreationDate": "2017-03-10T08:00:00.000Z",
"restorePointLabel": "mylabel"
}
}
azure-asyncoperation: https://ms.web.azuresynapse.net
Tanımlar
| Name | Description |
|---|---|
|
Create |
Sql havuzu geri yükleme noktası oluşturma işlemini gerçekleştirmek için gereken bilgileri içerir. |
|
Restore |
Veritabanı geri yükleme noktaları. |
|
Restore |
Geri yükleme noktası türü |
CreateSqlPoolRestorePointDefinition
Sql havuzu geri yükleme noktası oluşturma işlemini gerçekleştirmek için gereken bilgileri içerir.
| Name | Tür | Description |
|---|---|---|
| restorePointLabel |
string |
Uygulanacak geri yükleme noktası etiketi |
RestorePoint
Veritabanı geri yükleme noktaları.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Kaynak konumu. |
| name |
string |
Kaynağın adı |
| properties.earliestRestoreDate |
string (date-time) |
Bu veritabanının geri yüklenebileceği en erken zaman |
| properties.restorePointCreationDate |
string (date-time) |
Yedeklemenin alındığı zaman |
| properties.restorePointLabel |
string |
Kullanıcıya göre yedekleme isteği için geri yükleme noktası etiketi |
| properties.restorePointType |
Geri yükleme noktası türü |
|
| type |
string |
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts" |
RestorePointType
Geri yükleme noktası türü
| Değer | Description |
|---|---|
| CONTINUOUS | |
| DISCRETE |